diff --git a/changelog b/changelog
index 9f78093..520547b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20090805 tpd src/axiom-website/patches.html 20090805.03.tpd.patch
+20090805 tpd src/interp/Makefile remove union.lisp
+20090805 tpd src/interp/debugsys.lisp remove union reference
+20090805 tpd src/interp/vmlisp.lisp merge union.lisp
+20090805 tpd src/interp/union.lisp removed, merged with vmlisp.lisp
 20090805 tpd src/axiom-website/patches.html 20090805.02.tpd.patch
 20090805 tpd src/interp/Makefile remove bootfuns.lisp
 20090805 tpd src/interp/debugsys.lisp remove bootfuns reference
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b31b41d..b817630 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1744,6 +1744,8 @@ vmlisp.lisp and ggreater.lisp merged<br/>
 vmlisp.lisp and hash.lisp merged<br/>
 <a href="patches/20090805.02.tpd.patch">20090805.02.tpd.patch</a>
 vmlisp.lisp and bootfuns.lisp merged<br/>
+<a href="patches/20090805.03.tpd.patch">20090805.03.tpd.patch</a>
+vmlisp.lisp and union.lisp merged<br/>
 
  </body>
 </html>
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 32b1947..e46ee69 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -128,7 +128,7 @@ expanded in later compiles. All macros are assumed to be
 in this list of files.
 <<environment>>=
 DEP= ${MID}/vmlisp.lisp    \
-     ${MID}/union.lisp     ${MID}/nlib.lisp \
+     ${MID}/nlib.lisp \
      ${MID}/macros.lisp    ${MID}/comp.lisp \
      ${MID}/spaderror.lisp ${MID}/debug.lisp \
      ${MID}/spad.lisp      ${MID}/bits.lisp \
@@ -227,7 +227,7 @@ OBJS= ${OUT}/vmlisp.${O}      \
       ${OUT}/sockio.${O}      ${OUT}/spad.${O} \
       ${OUT}/spaderror.${O}    \
       ${OUT}/template.${O}    ${OUT}/termrw.${O} \
-      ${OUT}/union.${O}       ${OUT}/daase.${O}   \
+      ${OUT}/daase.${O}   \
       ${OUT}/fortcall.${O} \
       ${OUT}/parsing.${O} ${OUT}/fnewmeta.${O} \
       ${OUT}/postprop.${LISP}	\
@@ -500,7 +500,7 @@ DOCFILES=${DOC}/alql.boot.dvi \
 	 ${DOC}/spaderror.lisp.dvi ${DOC}/spad.lisp.dvi \
 	 ${DOC}/sys-pkg.lisp.dvi ${DOC}/template.boot.dvi \
 	 ${DOC}/termrw.boot.dvi ${DOC}/topics.boot.dvi \
-	 ${DOC}/union.lisp.dvi ${DOC}/unlisp.lisp.dvi \
+	 ${DOC}/unlisp.lisp.dvi \
 	 ${DOC}/util.lisp.dvi ${DOC}/varini.boot.dvi \
 	 ${DOC}/vmlisp.lisp.dvi ${DOC}/wi1.boot.dvi \
 	 ${DOC}/wi2.boot.dvi 
@@ -1838,40 +1838,6 @@ ${DOC}/sys-pkg.lisp.dvi: ${IN}/sys-pkg.lisp.pamphlet
 
 @
 
-\subsection{union.lisp \cite{37}}
-<<union.o (OUT from MID)>>=
-${OUT}/union.${O}: ${MID}/union.lisp
-	@ echo 129 making ${OUT}/union.${O} from ${MID}/union.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/union.lisp"' \
-             ':output-file "${OUT}/union.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/union.lisp"' \
-             ':output-file "${OUT}/union.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
-	  fi )
-
-@
-<<union.lisp (MID from IN)>>=
-${MID}/union.lisp: ${IN}/union.lisp.pamphlet
-	@ echo 130 making ${MID}/union.lisp from ${IN}/union.lisp.pamphlet
-	@ (cd ${MID} ; \
-	   ${TANGLE} ${IN}/union.lisp.pamphlet >union.lisp )
-
-@
-<<union.lisp.dvi (DOC from IN)>>=
-${DOC}/union.lisp.dvi: ${IN}/union.lisp.pamphlet 
-	@echo 131 making ${DOC}/union.lisp.dvi from ${IN}/union.lisp.pamphlet
-	@(cd ${DOC} ; \
-	cp ${IN}/union.lisp.pamphlet ${DOC} ; \
-	${DOCUMENT} ${NOISE} union.lisp ; \
-	rm -f ${DOC}/union.lisp.pamphlet ; \
-	rm -f ${DOC}/union.lisp.tex ; \
-	rm -f ${DOC}/union.lisp )
-
-@
-
 \subsection{util.lisp \cite{38}}
 <<util.o (OUT from MID)>>=
 ${OUT}/util.${O}: ${MID}/util.lisp
@@ -7888,10 +7854,6 @@ clean:
 <<topics.clisp (MID from IN)>>
 <<topics.boot.dvi (DOC from IN)>>
 
-<<union.o (OUT from MID)>>
-<<union.lisp (MID from IN)>>
-<<union.lisp.dvi (DOC from IN)>>
-
 <<unlisp.o (OUT from MID)>>
 <<unlisp.lisp (MID from IN)>>
 <<unlisp.lisp.dvi (DOC from IN)>>
@@ -7951,7 +7913,6 @@ pp
 \bibitem{34} {\bf \$SPAD/src/interp/spad.lisp.pamphlet}
 \bibitem{35} {\bf \$SPAD/src/interp/spaderror.lisp.pamphlet}
 \bibitem{36} {\bf \$SPAD/src/interp/sys-pkg.lisp.pamphlet}
-\bibitem{37} {\bf \$SPAD/src/interp/union.lisp.pamphlet}
 \bibitem{38} {\bf \$SPAD/src/interp/util.lisp.pamphlet}
 \bibitem{39} {\bf \$SPAD/src/interp/vmlisp.lisp.pamphlet}
 \bibitem{40} {\bf \$SPAD/src/interp/alql.boot.pamphlet}
diff --git a/src/interp/debugsys.lisp.pamphlet b/src/interp/debugsys.lisp.pamphlet
index 2f36c55..bf27e66 100644
--- a/src/interp/debugsys.lisp.pamphlet
+++ b/src/interp/debugsys.lisp.pamphlet
@@ -169,7 +169,6 @@ loaded by hand we need to establish a value.
       (thesymb "/int/interp/spaderror.lisp")
       (thesymb "/int/interp/template.clisp")
       (thesymb "/int/interp/termrw.clisp")
-      (thesymb "/int/interp/union.lisp")
       (thesymb "/int/interp/daase.lisp")
       (thesymb "/int/interp/fortcall.clisp"))
   (list
diff --git a/src/interp/union.lisp.pamphlet b/src/interp/union.lisp.pamphlet
deleted file mode 100644
index 0f75ac2..0000000
--- a/src/interp/union.lisp.pamphlet
+++ /dev/null
@@ -1,178 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\begin{document}
-\title{\$SPAD/src/interp union.lisp}
-\author{Timothy Daly}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-<<license>>=
-;; Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
-;; All rights reserved.
-;;
-;; Redistribution and use in source and binary forms, with or without
-;; modification, are permitted provided that the following conditions are
-;; met:
-;;
-;;     - Redistributions of source code must retain the above copyright
-;;       notice, this list of conditions and the following disclaimer.
-;;
-;;     - Redistributions in binary form must reproduce the above copyright
-;;       notice, this list of conditions and the following disclaimer in
-;;       the documentation and/or other materials provided with the
-;;       distribution.
-;;
-;;     - Neither the name of The Numerical ALgorithms Group Ltd. nor the
-;;       names of its contributors may be used to endorse or promote products
-;;       derived from this software without specific prior written permission.
-;;
-;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
-;; IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-;; TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-;; PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
-;; OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-;; EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-;; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-;; PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-;; LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-;; NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-;; SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-@
-<<*>>=
-<<license>>
-
-(in-package "VMLISP")
-;;macros from file vmlisp are necessary to compile this file
-
-(DEFUN |intersection|  (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ V (SETQ H (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP  (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (RETURN (QCDR H)) )
-        ( (|member|
-            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-            (QCDR H)) )
-        ( (|member| I LIST-OF-ITEMS-2)
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP) ) )
-
-(DEFUN INTERSECTIONQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ V (SETQ H (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP  (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (RETURN (QCDR H)) )
-        ( (QMEMQ
-            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-            (QCDR H)) )
-        ( (QMEMQ I LIST-OF-ITEMS-2)
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP) ) )
-
-(DEFUN |union| (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ H (SETQ V (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (COND
-            ( (PAIRP LIST-OF-ITEMS-2)
-              (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
-            ( 'T
-              (RETURN (QCDR H)) ) ) )
-        ( (NOT
-            (|member|
-              (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-              (QCDR H)))
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP1) ) )
-
-(DEFUN UNIONQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ H (SETQ V (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (COND
-            ( (PAIRP LIST-OF-ITEMS-2)
-              (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
-            ( 'T
-              (RETURN (QCDR H)) ) ) )
-        ( (NOT
-            (QMEMQ
-              (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-              (QCDR H)))
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP1) ) )
-
-(DEFUN SETDIFFERENCE (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ H (SETQ V (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (RETURN (QCDR H)) )
-        ( (|member|
-            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-            (QCDR H)) )
-        ( (NOT (|member| I LIST-OF-ITEMS-2))
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP1) ) )
-
-(DEFUN SETDIFFERENCEQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
-    (PROG (I H V)
-      (SETQ H (SETQ V (CONS NIL NIL)))
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-1))
-          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
-      (COND
-        ( (NOT (LISTP LIST-OF-ITEMS-2))
-          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
-  LP1 (COND
-        ( (NOT (PAIRP LIST-OF-ITEMS-1))
-          (RETURN (QCDR H)) )
-        ( (QMEMQ
-            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
-            (QCDR H)) )
-        ( (NOT (QMEMQ I LIST-OF-ITEMS-2))
-          (QRPLACD V (SETQ V (CONS I NIL))) ) )
-      (GO LP1) ) )
-@
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 34775d1..ad9311d 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -2147,6 +2147,129 @@ Camm issued a fix. This used to read:
 
 (define-function 'HASHID #'sxhash)
 
+;;macros from file vmlisp are necessary to compile this file
+
+(DEFUN |intersection|  (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ V (SETQ H (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP  (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (RETURN (QCDR H)) )
+        ( (|member|
+            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+            (QCDR H)) )
+        ( (|member| I LIST-OF-ITEMS-2)
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP) ) )
+
+(DEFUN INTERSECTIONQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ V (SETQ H (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP  (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (RETURN (QCDR H)) )
+        ( (QMEMQ
+            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+            (QCDR H)) )
+        ( (QMEMQ I LIST-OF-ITEMS-2)
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP) ) )
+
+(DEFUN |union| (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ H (SETQ V (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP1 (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (COND
+            ( (PAIRP LIST-OF-ITEMS-2)
+              (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
+            ( 'T
+              (RETURN (QCDR H)) ) ) )
+        ( (NOT
+            (|member|
+              (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+              (QCDR H)))
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP1) ) )
+
+(DEFUN UNIONQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ H (SETQ V (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP1 (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (COND
+            ( (PAIRP LIST-OF-ITEMS-2)
+              (SETQ LIST-OF-ITEMS-1 (RESETQ LIST-OF-ITEMS-2 NIL)) )
+            ( 'T
+              (RETURN (QCDR H)) ) ) )
+        ( (NOT
+            (QMEMQ
+              (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+              (QCDR H)))
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP1) ) )
+
+(DEFUN SETDIFFERENCE (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ H (SETQ V (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP1 (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (RETURN (QCDR H)) )
+        ( (|member|
+            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+            (QCDR H)) )
+        ( (NOT (|member| I LIST-OF-ITEMS-2))
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP1) ) )
+
+(DEFUN SETDIFFERENCEQ (LIST-OF-ITEMS-1 LIST-OF-ITEMS-2)
+    (PROG (I H V)
+      (SETQ H (SETQ V (CONS NIL NIL)))
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-1))
+          (SETQ LIST-OF-ITEMS-1 (LIST LIST-OF-ITEMS-1)) ) )
+      (COND
+        ( (NOT (LISTP LIST-OF-ITEMS-2))
+          (SETQ LIST-OF-ITEMS-2 (LIST LIST-OF-ITEMS-2)) ) )
+  LP1 (COND
+        ( (NOT (PAIRP LIST-OF-ITEMS-1))
+          (RETURN (QCDR H)) )
+        ( (QMEMQ
+            (SETQ I (QCAR (RESETQ LIST-OF-ITEMS-1 (QCDR LIST-OF-ITEMS-1))))
+            (QCDR H)) )
+        ( (NOT (QMEMQ I LIST-OF-ITEMS-2))
+          (QRPLACD V (SETQ V (CONS I NIL))) ) )
+      (GO LP1) ) )
 
 (in-package 'boot)
 
